load('activity_processes_LD.mat')
%WPrw= [WPr1(:,1),WPr1(:,2),WPr2(:,1),WPr2(:,2),WPr3(:,1),WPr3(:,3),WPr4(:,1),WPr4(:,3),WPr4(:,4),WPr4(:,5),WPr5(:,1),WPr5(:,2),...
 %   WPr6(:,1),WPr6(:,2),WPr7(:,1),WPr7(:,3),WPr7(:,4),WPr8(:,1),WPr8(:,2),WPr8(:,5),WPr9(:,1),WPr9(:,2),WPr9(:,3),WPr9(:,4),WPr10(:,1),WPr10(:,2)];

% per mRNA
APrw=average_process(WPr14);



%width = 0.5;
figure
h = bar3(APrw);
[r c] = size(APrw);
%X = [1 2 3 5 6 7 9 10 11];


zdata = [];
for i = 1:c
    zdata = [];
    for j = 1:r
        zdata = [zdata; ones(6,4)*APrw(j,i)];
    end
set(h(i),'Cdata',zdata)
end
colormap
colorbar
xlabel('Processes');
ylabel('time [h]');
zlabel('process value [nM/h]');
set(gca,'XTickLabel',['Phosphorlation in the nucleus    '; 'De-phosphorylation in the nucleus'; 'Nuclear import                   '; 'Nuclear export                   '; 'Formation of the large complex   '; 'Dissociation of the large complex'; 'Basal Degradation                ']);

%view([-64 44]);


