sorties <- read.table(file="output_table_errors.txt",header=FALSE)

sortietot<-read.table(file="output_table_error_total.txt",header=FALSE)

sorties_average_5<-sortietot/16


colnames(sorties) <- paste(c("MP","MC","MB","Pc","Cc","Pcp","Ccp","PCc","PCn","PCcp","PCnp","Bc","Bcp","Bn","Bnp","In"))

colnames(sortietot) <- paste("etot")

colnames(sorties_average_5) <- paste("e5")

c(sorties,sortietot)

boxplot(sortietot)

boxplot(sorties_average_5)

summary(sorties)

summary(sortietot)


summary(sorties_average_5)


plan <- read.table(file="design_mammalian_mod.txt",header=TRUE)

#plan and sorties must be  data.frame

head(plan)

library(multisensi)

sortietot <- as.data.frame(sortietot)

head(sortietot)

SItot <-multisensi(design=plan, model=sortietot,analysis.args=list(formula=2),reduction=NULL)

graph.bar(SItot,beside=F,main="Total Error")

SIe<- multisensi(design=plan, model=sorties,analysis.args=list(formula=2),reduction=NULL)

order_e<-SItot$tSI[order(-SItot$tSI), , drop = FALSE]

var_e<-diag(var(SIe$Y))# it is the variance for each error

matrix_e<-SIe$tSI#it is the matrix that contains the errors for each variable

norma_matrix_e<-t(t(matrix_e)*var_e)

total_error_nf<-data.frame(colSums(t(norma_matrix_e)))

order_e_nf<-total_error_nf[order(-total_error_nf), , drop=FALSE]

order_e_nf

norma_matrix_e_reduced<-norma_matrix_e[c("k_dnc","V_2P","V_1PC","k_7","v_dPCC","V_4B","K_dp","k_1","k_dn","V_1P"), , drop=FALSE]

remaining_parameters<-((colSums(matrix_e))*var_e)-colSums(norma_matrix_e_reduced)

residual_e<-(1-colSums(SIe$SI))*var_e

norma_matrix_e_reduced_add<-rbind(norma_matrix_e_reduced,remaining_parameters,residual_e)

#barplot with order_e-nf

barplot(norma_matrix_e_reduced_add,col= c("chartreuse4","blue","cyan","darkmagenta","darkred","green","olivedrab1","red","palevioletred","plum1","white","gray77")) #"darkgreen","dodgerblue","goldenrod","yellow","midnightblue"

legend(legend=row.names(norma_matrix_e_reduced_add),x="topleft",ncol=2,cex=.7,inset=.02,fill=c("chartreuse4","blue","cyan","darkmagenta","darkred","green","olivedrab1","red","palevioletred","plum1","white","gray77"))
#GSI

GSIe<- multisensi(design=plan, model=sorties,analysis.args=list(formula=2),reduction=basis.ACP,scale=FALSE)

plot(GSIe)

summary(GSIe)








#barplot with order_e

norma_matrix_e_reduced_2<-norma_matrix_e[c("V_1C","V_1PC","k_4","k_dnc","ksB","k_sC","V_3B","v_sC","k_1","V_2B","V_4B","v_mC","K_dp","V_2PC"), , drop=FALSE]

remaining_parameters_2<-((colSums(matrix_e))*var_e)-colSums(norma_matrix_e_reduced_2)

norma_matrix_e_reduced_add_2<-rbind(norma_matrix_e_reduced_2,remaining_parameters_2,residual_e)

barplot(norma_matrix_e_reduced_add_2,col= c("chartreuse4","blue","cyan","darkmagenta","darkred","green","olivedrab1","midnightblue","palevioletred","plum1","darkgreen","dodgerblue","goldenrod","yellow","red","gray77"))

legend(legend=row.names(norma_matrix_e_reduced_add_2),x="topleft",ncol=2,cex=.5,inset=.02,fill=c("chartreuse4","blue","cyan","darkmagenta","darkred","green","olivedrab1","midnightblue","palevioletred","plum1","darkgreen","dodgerblue","goldenrod","yellow","red","gray77"))






