load('reduced_solutions_LD.mat')
%load('submodel1.mat')

[r, c]=size(Y);

%H=abs(X-W);
%Er=H./X;
H=(Y-S);
Er=zeros(1,16);
for i= 1:c
    Er(i)= trapz(((Y(:,i)-S(:,i)).^2)./(Y(:,i).^2));
end
ErPTot=trapz(((PTot-PTots).^2)/(PTot.^2));
ErCTot=trapz(((CTot-CTots).^2)/(CTot.^2));
ErBTot=trapz(((BTot-BTots).^2)/(BTot.^2));




%figure;
%   plot(T, Er(:,1), T , Er(:,2), T ,Er(:,3),T ,Er(:,4),T ,Er(:,5),T ,Er(:,6),T ,Er(:,7), T ,Er(:,8),T,Er(:,9),T ,Er(:,10));
%xlabel('Time (h)');ylabel('Concentrations (\muM)');
%title('Absolute error ODE');
%legend('Er M_P','Er P_0','Er P_1','Er P_2','Er M_T','Er T_0','Er T_1','Er T_2','Er C','Er C_N'); 



figure;
plot(T,Y(:,1),T,S(:,1));
title('M_P difference');
xlabel('Time (h)');ylabel('Concentrations (\muM)');
legend('M_P','M_P reduced')

figure;
plot(T,Y(:,2),T,S(:,2));
title('M_C difference');
xlabel('Time (h)');ylabel('Concentrations (\muM)');
legend('M_C','M_C reduced');

figure;
plot(T,Y(:,3),T,S(:,3));
title('M_B difference');
xlabel('Time (h)');ylabel('Concentrations (\muM)');
legend('M_B','P_1 reduced');

figure;
plot(T,Y(:,4),T,S(:,4));
title('P_C difference');
xlabel('Time (h)');ylabel('Concentrations (\muM)');
legend('P_C','P_C reduced');

figure;
plot(T,Y(:,5),T,S(:,5));
title('C_C difference');
xlabel('Time (h)');ylabel('Concentrations (\muM)');
legend('C_C','C_C reduced');

figure;
plot(T,Y(:,6),T,S(:,6));
title('P_CP difference');
xlabel('Time (h)');ylabel('Concentrations (\muM)');
legend('P_CP','P_CP reduced');

figure;
plot(T,Y(:,7),T,S(:,7));
title('C_CP difference');
xlabel('Time (h)');ylabel('Concentrations (\muM)');
legend('C_CP','C_CP reduced');

figure;
plot(T,Y(:,8),T,S(:,8));
title('PC_C difference');
xlabel('Time (h)');ylabel('Concentrations (\muM)');
legend('PC_C','PC_C reduced');

figure;
plot(T,Y(:,9),T,S(:,9));
title('PC_N difference');
xlabel('Time (h)');ylabel('Concentrations (\muM)');
legend('PC_N','PC_N reduced');

figure;
plot(T,Y(:,10),T,S(:,10));
title('PC_CP difference');
xlabel('Time (h)');ylabel('Concentrations (\muM)');
legend('PC_CP','PC_CP reduced');

figure;
plot(T,Y(:,11),T,S(:,11));
title('PC_NP difference');
xlabel('Time (h)');ylabel('Concentrations (\muM)');
legend('PC_NP','PC_NP reduced');

figure;
plot(T,Y(:,12),T,S(:,12));
title('B_C difference');
xlabel('Time (h)');ylabel('Concentrations (\muM)');
legend('B_C','B_C reduced');

figure;
plot(T,Y(:,13),T,S(:,13));
title('B_CP difference');
xlabel('Time (h)');ylabel('Concentrations (\muM)');
legend('B_CP','B_CP reduced');

figure;
plot(T,Y(:,14),T,S(:,14));
title('B_N difference');
xlabel('Time (h)');ylabel('Concentrations (\muM)');
legend('B_N','B_N reduced');

figure;
plot(T,Y(:,15),T,S(:,15));
title('B_NP difference');
xlabel('Time (h)');ylabel('Concentrations (\muM)');
legend('B_NP','B_NP reduced');

figure;
plot(T,Y(:,16),T,S(:,16));
title('B_N difference');
xlabel('Time (h)');ylabel('Concentrations (\muM)');
legend('I_N','I_N reduced');

figure;
plot(T,PTot,T,PTots);
title('P_Tot difference');
xlabel('Time (h)');ylabel('Concentrations (\muM)');
legend('P_Tot','P_Tot reduced');

figure;
plot(T,CTot,T,CTots);
title('C_Tot difference');
xlabel('Time (h)');ylabel('Concentrations (\muM)');
legend('C_Tot','C_Tot reduced');

figure;
plot(T,BTot,T,BTots);
title('B_Tot difference');
xlabel('Time (h)');ylabel('Concentrations (\muM)');
legend('B_Tot','B_Tot reduced');










