load('original_weight_LD.mat');
[r, c]=size(Pr1);

APr1=active_process(WPr1);
figure;
plot(T, APr1(:,1), T , APr1(:,2), T ,APr1(:,3) );
xlabel('Time (h)');ylabel('Activity/Inactivity');
title('d(M_P)/dt processes');
legend('per gene trascription','PER mRNA dgradation','linear PER mRNA degradation');


APr2=active_process(WPr2);
figure;
plot(T, APr2(:,1), T , APr2(:,2), T ,APr2(:,3) );
xlabel('Time (h)');ylabel('Activity/Inactivity');
title('d(M_C)/dt processes');
legend('cry gene trascription','CRY mRNA dgradation','linear CRY mRNA degradation');



APr3=active_process(WPr3);
figure;
plot(T, APr3(:,1), T , APr3(:,2), T ,APr3(:,3));
xlabel('Time (h)');ylabel('Activity/Inactivity');
title('d(M_B)/dt processes');
legend('bmal1 gene trascription','BMAL1 mRNA dgradation','linear BMAL1 mRNA degradation');



APr4=active_process(WPr4);
figure;
plot(T, APr4(:,1), T , APr4(:,2), T ,APr4(:,3), T ,APr4(:,4), T ,APr4(:,5),T ,APr4(:,6) );
xlabel('Time (h)');ylabel('Activity/Inactivity');
title('d(P_C)/dt processes');
legend('P_C synthesys','P_C phosphorylation  ','P_C de-phosphorylation','splitting of the complex PC_C','binding of the complex PC_C','linear P_C degradation'); 



APr5=active_process(WPr5);
figure;
plot(T, APr5(:,1), T , APr5(:,2), T ,APr5(:,3) , T ,APr5(:,4), T ,APr5(:,5),T ,APr5(:,6) );
xlabel('Time (h)');ylabel('Activity/Inactivity');
title('d(C_C)/dt processes');
legend('C_C synthesys','C_C phosphorylation  ','C_C de-phosphorylation','splitting of the complex PC_C','binding of the complex PC_C','linear C_C degradation'); 



APr6=active_process(WPr6);
figure;
plot(T, APr6(:,1), T , APr6(:,2), T ,APr6(:,3), T ,APr6(:,4) );
xlabel('Time (h)');ylabel('Activity/Inactivity');
title('d(P_CP)/dt processes');
legend('P_C phosphorylation  ','P_C de-phosphorylation','P_CP degradation','linear P_CP degradation' ); 



APr7=active_process(WPr7);
figure;
plot(T, APr7(:,1), T , APr7(:,2), T ,APr7(:,3), T ,APr7(:,4) );
xlabel('Time (h)');ylabel('Activity/Inactivity');
title('d(C_CP)/dt processes');
legend('C_C phosphorylation  ','C_C de-phosphorylation','C_CP degradation','linear C_CP degradation' ); 



APr8=active_process(WPr8);
figure;
plot(T, APr8(:,1), T , APr8(:,2), T , APr8(:,3), T , APr8(:,4), T , APr8(:,5),T , APr8(:,6),T , APr8(:,7) );
xlabel('Time (h)');ylabel('Activity/Inactivity');
title('d(PC_C)/dt processes');
legend('first phosphorylation of the complex ','first de-phosphorylation of the complex ',' formation of the complex','splitting of the complex','PC out of the nucleus','PC moving in the nucleus', 'linear PC_C degradation');



APr9=active_process(WPr9);
figure;
plot( T, APr9(:,1), T , APr9(:,2), T , APr9(:,3), T , APr9(:,4), T , APr9(:,5), T , APr9(:,6), T , APr9(:,7));
xlabel('Time (h)');ylabel('Activity/Inactivity');
title('d(PC_N)/dt processes');
legend('first phosphorylation of the complex in the nucleus ','first de-phosphorylation of the complex in the nucleus','PC out of the nucleus','PC moving in the nucleus','formation of the big complex','splitting of the big complex','linear PC_n degradation');




APr10=active_process(WPr10);
figure;
plot(T, APr10(:,1), T , APr10(:,2), T , APr10(:,3),  T , APr10(:,4));
xlabel('Time (h)');ylabel('Activity/Inactivity');
title('d(PC_CP)/dt processes');
legend('PC_C phosphorylation  ','PC_CP de-phosphorylation','PC_CP degradation','linear PC_CP degradation' ); 



APr11=active_process(WPr11);
figure;
plot( T, APr11(:,1), T , APr11(:,2), T , APr11(:,3), T , APr11(:,4));
xlabel('Time (h)');ylabel('Activity/Inactivity');
title('d(PC_NP)/dt processes');
legend('PC_C phosphorylation  ','PC_CP de-phosphorylation','PC_NP degradation','linear PC_NP degradation' ); 




APr12=active_process(WPr12);
figure;
plot( T, APr12(:,1), T , APr12(:,2), T , APr12(:,3), T , APr12(:,4), T , APr12(:,5), T , APr12(:,6));
xlabel('Time (h)');ylabel('Activity/Inactivity');
title('d(B_C)/dt processes');
legend('B_C synthesys','B_C phosphorylation  ','B_C de-phosphorylation','moving in the nucleus','exiting from the nucleus','linear B_C degradation'); 



APr13=active_process(WPr13);
figure;
plot( T, APr13(:,1), T , APr13(:,2), T , APr13(:,3), T , APr13(:,4));
xlabel('Time (h)');ylabel('Activity/Inactivity');
title('d(B_CP)/dt processes');
legend('B_C phosphorylation  ','B_CP de-phosphorylation','B_CP degradation','linear B_CP degradation' ); 




APr14=active_process(WPr14);
figure;
plot( T, APr14(:,1), T , APr14(:,2), T , APr14(:,3), T , APr14(:,4), T , APr14(:,5), T , APr14(:,6), T , APr14(:,7));
xlabel('Time (h)');ylabel('Activity/Inactivity');
title('d(B_N)/dt processes');
legend('phosphorylation of the B_N in the nucleus ','de-phosphorylation of B_N in the nucleus','B_C moving in the nucleus','B_N out of the nucleus','formation of the big complex','splitting of the big complex','linear B_N degradation');



APr15=active_process(WPr15);
figure;
plot( T, APr15(:,1), T , APr15(:,2), T , APr15(:,3), T , APr15(:,4));
xlabel('Time (h)');ylabel('Activity/Inactivity');
title('d(B_NP)/dt processes');
legend('B_C phosphorylation  ','B_NP de-phosphorylation','B_NP degradation','linear B_NP degradation' ); 



APr16=active_process(WPr16);
figure;
plot( T, APr16(:,1), T , APr16(:,2), T , APr16(:,3), T , APr16(:,4));
xlabel('Time (h)');ylabel('Activity/Inactivity');
title('d(I_N)/dt processes');
legend('fomation of the big complex','splitting of teh big complex','degradation of the big complex','linear deagradation of the big complex' ); 



APr=[APr1, APr2, APr3, APr4, APr5, APr6, APr7, APr8, APr9, APr10,APr11,APr12,APr13,APr14,APr15,APr16];
[rk,ck]=size(APr);
APrgen=zeros(1,ck);
for j=1:ck
    for i=1:rk
        if APr(i,j)==1;
            APrgen(j)=1;
            break
        end
    end
end

