%We divide the switching time vector in 4 clusters.
load('switching_times.mat');
Time_cluster=kmeans(Time_vector,4);% I set 4 clusters


c=zeros(1,3);
l=1;
for k=1:length(Time_cluster)-1
    
    if Time_cluster(k+1)~=Time_cluster(k)
        c(l)=k+1;
        l=l+1;
    end
end
average_switching_time_1=mean(Time_vector(1:c(1)-1));
average_switching_time_2=mean(Time_vector(c(1):c(2)-1));
average_switching_time_3=mean(Time_vector(c(2):c(3)-1));
average_switching_time_4=mean(Time_vector(c(3):length(Time_vector)));

data1 = Time_vector';      % Sample data set 1
figure;
hAxes = axes('NextPlot','add',...           % Add subsequent plots to the axes,
             'DataAspectRatio',[1 1 1],...  %   match the scaling of each axis,
             'XLim',[0 24],...               %   set the x axis limit,
             'YLim',[0 eps],...             %   set the y axis limit (tiny!),
             'Color','none');               %   and don't use a background color
data1=data1./10;
plot(data1,0,'b*','MarkerSize',10);  % Plot data set 1


figure;
data2a = Time_vector(1:c(1)-1); 
data2b = Time_vector(c(1):c(2)-1);
data2c = Time_vector(c(2):c(3)-1);
data2d = Time_vector(c(3):length(Time_vector));

hAxes = axes('NextPlot','add',...           % Add subsequent plots to the axes,
             'DataAspectRatio',[1 1 1],...  %   match the scaling of each axis,
             'XLim',[0 24],...               %   set the x axis limit,
          'YLim',[0 eps],...    
         'Color','none');               %   and don't use a background color

data2a=data2a./10;
plot(data2a,0,'r*','MarkerSize',10);  % Plot data set 1
hold on
data2b=data2b./10;
plot(data2b,0,'g*','MarkerSize',10);
hold on
data2c=data2c./10;
plot(data2c,0,'m*','MarkerSize',10);
hold on
data2d=data2d./10;
plot(data2d,0,'k*','MarkerSize',10);

figure;

hAxes = axes('NextPlot','add',...           % Add subsequent plots to the axes,
             'DataAspectRatio',[1 1 1],...  %   match the scaling of each axis,
             'XLim',[0 24],...               %   set the x axis limit,
          'YLim',[0 eps],...   
         'Color','none');               %   and don't use a background color

average_switching_time_1=average_switching_time_1./10;
plot(average_switching_time_1,0,'r*','MarkerSize',10);  % Plot data set 1
hold on
average_switching_time_2=average_switching_time_2./10;
plot(average_switching_time_2,0,'g*','MarkerSize',10);
hold on
average_switching_time_3=average_switching_time_3./10;
plot(average_switching_time_3,0,'m*','MarkerSize',10);
hold on
average_switching_time_4=average_switching_time_4./10;
plot(average_switching_time_4,0,'k*','MarkerSize',10);


